


!Collection methodsFor: 'extensions'!
 
groupsDo: aBlock
    "
    #((1) (10) (100)) groupsDo: [:a |
        Transcript cr; show: a printString].
    #((1 2) (10 20) (100 200)) groupsDo: [:a :b |
        Transcript cr; show: a printString, ' ', b printString].
    #((1 2 3) (10 20 30) (100 200 300)) groupsDo: [:a :b :c |
        Transcript cr; show: a printString, ' ', b printString, ' ', c printString].
    #((1 2 3 4) (10 20 30 40) (100 200 300 400)) groupsDo: [:a :b :c :d |
        Transcript cr; show: a printString, ' ', b printString, ' ', c printString, ' ', d printString].
    "
    self do: [:collection | aBlock evaluateWithArguments: collection]! !



!Collection methodsFor: 'extensions'!

includesAll: aCollection
    "Answer true if the receiver includes each element of aCollection, else answer false."
    aCollection do: [:object | (self includes: object) ifFalse: [^false]].
    ^true
! !


!String methodsFor: 'extensions'!

asCapitalizedString
    self isEmpty ifTrue: [^self].
    ^(String with: self first asUppercase), (self copyFrom: 2 to: self size)
! !



!WriteStream methodsFor: 'extensions'!

<< anObject
    anObject isCharacter ifTrue: [self nextPut: anObject. ^self].
    anObject isString ifTrue: [self nextPutAll: anObject. ^self].
    anObject printOn: self! !

